Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#54024 - [lxc] containers fail to start under 1:2.0.8-1

Attached to Project: Community Packages
Opened by John (graysky) - Friday, 12 May 2017, 19:37 GMT
Last edited by Sergej Pupykin (sergej) - Monday, 15 May 2017, 16:12 GMT
Task Type Bug Report
Category Upstream Bugs
Status Closed
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 4
Private No

Details

After updating to 1:2.0.8-1, none of my containers are able to start. Below is an example. Downgrading to 1:2.0.7-1 fixes the problem.

# lxc-start -n playtime -F
lxc-start: start.c: lxc_spawn: 1182 Failed to set up id mapping.
lxc-start: start.c: __lxc_start: 1354 Failed to spawn container "playtime".
lxc-start: tools/lxc_start.c: main: 366 The container failed to start.
lxc-start: tools/lxc_start.c: main: 370 Additional information can be obtained by setting the --logfile and --logpriority options.


Additional info:
* package version(s) lxc 1:2.0.8-1
This task depends upon

Closed by  Sergej Pupykin (sergej)
Monday, 15 May 2017, 16:12 GMT
Reason for closing:  Fixed
Comment by Dana Bucci (Grimm665) - Friday, 12 May 2017, 19:39 GMT
I was in the middle of filing my own bug report. this bug is confirmed on my server as well.

Description: Upgrade from lxc 2.0.7 to 2.0.8 broke container startup. The container fails to start with error message: Failed to set up id mapping

Full error:
lxc-start 20170512184234.155 ERROR lxc_start - start.c:lxc_spawn:1182 - Failed to set up id mapping.
lxc-start 20170512184234.179 ERROR lxc_start - start.c:__lxc_start:1354 - Failed to spawn container "mailbox".
lxc-start 20170512184239.184 ERROR lxc_start_ui - tools/lxc_start.c:main:366 - The container failed to start.
lxc-start 20170512184239.184 ERROR lxc_start_ui - tools/lxc_start.c:main:368 - To get more details, run the container in foreground mode.
lxc-start 20170512184239.184 ERROR lxc_start_ui - tools/lxc_start.c:main:370 - Additional information can be obtained by setting the --logfile and --logpriority options.



Additional info:
package version: 1:2.0.8-1


Steps to reproduce:
Everything worked normally in 2.0.7.
Upon upgrading to 2.0.8 and rebooting the server, the container which was stet to autostart did not start. Attempting to start in foreground mode produced the "Failed to set up id mapping" error.
Current work around was to downgrade back to 2.0.7, reboot the server, and the container autostarted with no issue.
Comment by John (graysky) - Sunday, 14 May 2017, 08:06 GMT Comment by John (graysky) - Sunday, 14 May 2017, 08:16 GMT
The patch in https://github.com/lxc/lxc/issues/1555 fixes this for me. (Credit to fuzzy2 at https://bbs.archlinux.org/viewtopic.php?id=226172).

@Grimm665 - does it work for you? Here is a patch you can apply the PKGBUILD for testing: https://gist.github.com/graysky2/bdf162670339dfad621d9f95301b849c
Comment by William Santos (william.wss.ti) - Sunday, 14 May 2017, 19:58 GMT
Olá estou tendo mesmo problema, após atualização para versão lxc-1:2.0.8.1 container não inicia e da o seguinte erro:

[root@ArchServer ~]# lxc-start -n 03-Ubuntu
lxc-start: tools/lxc_start.c: main: 366 The container failed to start.
lxc-start: tools/lxc_start.c: main: 368 To get more details, run the container in foreground mode.
lxc-start: tools/lxc_start.c: main: 370 Additional information can be obtained by setting the --logfile and --logpriority options.
Comment by Sergej Pupykin (sergej) - Monday, 15 May 2017, 15:06 GMT
please try lxc-1:2.0.8-2
Comment by Dana Bucci (Grimm665) - Monday, 15 May 2017, 15:40 GMT
@sergej lxc-1:2.0.8-2 seems to be working, thank you.
Comment by Dana Bucci (Grimm665) - Monday, 15 May 2017, 16:10 GMT
@sergej lxc-1:2.0.8-2 seems to be working, thank you.

Loading...